version: '3'
services:
  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.10.2
    container_name: ea_es
    restart: always
    environment:
      - discovery.type=single-node
    volumes:
      - ./plugins/:/usr/share/elasticsearch/plugins
    ports:
      - "9200:9200"
      - "9300:9300"
    networks:
      - ea_net
      
networks:
  ea_net:
    external: true